from ui.editor import Editor


class Count_Step_Editor(Editor):
    def __init__(self, action=None, cell_widget=None):
        super().__init__(action=action, cell_widget=cell_widget)
        self.spec.update({
            "amount": self.amount_sb,
            "warning_img": self.warning_img_le,
            "require_discard_piece": self.require_discard_piece_cb
        })
